### Function

# AppStreamCompose IconState to_string

#### Declaration [src]

    const gchar*
    asc_icon_state_to_string (
      AscIconState istate
    )

#### Description [src]

Converts the enumerated value to an text representation.

#### Parameters

`istate`

  Type: `AscIconState`

  The `AscIconState`.

#### Return value

Type: `const gchar*`

String version of `istate`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.